Page MenuHomeFreeBSD

New port: x11-wm/hikari: Stacking window manager with tiling capabilities
ClosedPublic

Authored by 0mp on May 18 2019, 6:21 PM.

Details

Summary
New port: x11-wm/hikari: Stacking window manager with tiling capabilities

Hikari is a stacking window manager with additional tiling capabilities,
it is heavily inspired by the Calm Window manager (cwm(1)). Its core
concepts are windows, groups, sheets and the workspace.

WWW: https://hub.darcs.net/raichoo/hikari

PR: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=237970

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

  • Acknowledge upstream's improvements to software's makefile
  • Capitalize post-patch message

Adjusted the Makefile in hikari upstream. This changed the checksum for the provided tarball (which is currently only meant for this port anyway).

x11-wm/hikari/Makefile
28 ↗(On Diff #57539)

WITH_DEBUG should only be checked after including bsd.port.pre.mk, so that WITH_DEBUG_PORTS can be used.

This revision was not accepted when it landed; it landed in state Needs Review.May 20 2019, 1:39 PM
This revision was automatically updated to reflect the committed changes.
0mp marked an inline comment as done.May 21 2019, 9:24 PM
0mp added inline comments.
x11-wm/hikari/Makefile
28 ↗(On Diff #57539)

Thanks @mat! I've included that in another commit.